Interface DfdlEndpointBuilderFactory.DfdlBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
DfdlEndpointBuilderFactory
public static interface DfdlEndpointBuilderFactory.DfdlBuilders
-
Method Summary
Modifier and TypeMethodDescriptionDFDL (camel-dfdl) Transforms fixed format data such as EDI message from/to XML using a Data Format Description Language (DFDL).DFDL (camel-dfdl) Transforms fixed format data such as EDI message from/to XML using a Data Format Description Language (DFDL).
-
Method Details
-
dfdl
DFDL (camel-dfdl) Transforms fixed format data such as EDI message from/to XML using a Data Format Description Language (DFDL). Category: transformation Since: 4.11 Maven coordinates: org.apache.camel:camel-dfdl Syntax:dfdl:schemaUriPath parameter: schemaUri (required) The path to the DFDL schema file.- Parameters:
path- schemaUri- Returns:
- the dsl builder
-
dfdl
DFDL (camel-dfdl) Transforms fixed format data such as EDI message from/to XML using a Data Format Description Language (DFDL). Category: transformation Since: 4.11 Maven coordinates: org.apache.camel:camel-dfdl Syntax:dfdl:schemaUriPath parameter: schemaUri (required) The path to the DFDL schema file.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- schemaUri- Returns:
- the dsl builder
-